Group: Development/Python
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-durus
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           python-module-durus
Version:        3.9
Release:        alt1_19
Summary:        A Python Object Database
License:        CNRI
URL:            http://www.mems-exchange.org/software/durus/
Source0:        https://pypi.python.org/packages/source/D/Durus/Durus-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  python-devel
BuildRequires:  python-module-pkg_resources python-module-setuptools

%global _description\
Durus is a persistent object system for applications written in the Python\
programming language. It offers an easy way to use and maintain a consistent\
collection of object instances used by one or more processes. Access and change\
of a persistent instances is managed through a cached Connection instance which\
includes commit() and abort() methods so that changes are transactional.\
Durus is best suited to collections of less than a million instances with\
relatively stable state.
Source44: import.info
# drop python2.7(builtins)
%filter_from_requires /^python2...builtins./d

%description 

%_description
%prep
%setup -n %{oldname}-%{version} -qn Durus-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot} --single-version-externally-managed

%files -n python-module-durus
%doc doc/ *.txt
%{_bindir}/durus
%{python_sitelibdir}/Durus-%{version}-py%{__python_version}.egg-info/
%{python_sitelibdir}/durus/

%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_19
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_18
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_16
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_13
- update to new release by fcimport

* Fri Sep 30 2016 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_12
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_11
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_10
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_5
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 3.9-alt1_4
- initial fc import

